// types.h : header file
//

#ifndef __TYPES_H__
#define __TYPES_H__
#pragma once
////////////////////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////////////
//     __int64
////////////////////////////////////////////////////////////////////////////
#ifndef _QWORD_DEFINED
#define _QWORD_DEFINED
typedef __int64 QWORD, *LPQWORD;
#endif


////////////////////////////////////////////////////////////////////////////
//     QWORD
////////////////////////////////////////////////////////////////////////////
#define MAKEQWORD(n, m)	((QWORD)( ((QWORD) ((DWORD) (n))) << 32 | ((DWORD) (m))))

#define LODWORD(n)		((DWORD)(n))
#define HIDWORD(n)		((DWORD)(((QWORD)(n) >> 32) & 0xFFFFFFFF))




////////////////////////////////////////////////////////////////////////////
#endif // __TYPES_H__
