// __EcxStatic.h :     ECX (26  2004 .)
//

#ifndef __ECXSTATIC_H_MAIN_INCLUDE_FILE__
#define __ECXSTATIC_H_MAIN_INCLUDE_FILE__
#pragma once
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  
/////////////////////////////////////////////////////////////////////////////
#define VERSION__ECXSTATIC   "27.01.2019"


/////////////////////////////////////////////////////////////////////////////
// ,   
/////////////////////////////////////////////////////////////////////////////
#pragma message ("EcxStatic Library (" VERSION__ECXSTATIC ")")


/////////////////////////////////////////////////////////////////////////////
//     
/////////////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
	#pragma comment(linker, "/nodefaultlib:libcd.lib")
#else
	#pragma comment(linker, "/nodefaultlib:libc.lib")
#endif


/////////////////////////////////////////////////////////////////////////////
//  Windows API  Run-Time Library
/////////////////////////////////////////////////////////////////////////////
#include <windows.h>
#include <stdio.h>
#include <math.h>
#include <stdarg.h>
#include <stdlib.h>
#include <crtdbg.h>

#include "_macro\@macro.h"
#include "crt\Debugging\DebugRoutines\DebugRoutines.h"
#include "crt\FloatingPointSupport\FloatingPointSupportFunc.h"
#include "crt\CharacterClassification\CharacterClassification.h"
#include "crt\CharacterClassification\CharacterClassificationMacro.h"
#include "crt\TextParsing\TextParsingFunc.h"



/////////////////////////////////////////////////////////////////////////////
//  
/////////////////////////////////////////////////////////////////////////////
#include "ECX\Include\__Func.h"
//#include "ECX\Include\_EcxDef.h"
//#include "ECX\Include\_msg_processing.h"
//#include "ECX\Include\_runtime_class.h"
//#include "ECX\Include\EHandleMap.h"
//#include "ECX\Include\EPtrManager.h"
#include "ECX\Include\__EString.h"
#include "ECX\Include\__EStringFormat.h"


/////////////////////////////////////////////////////////////////////////////
//   
/////////////////////////////////////////////////////////////////////////////
//#include "ECX\Include\EObject.h"
//#include "ECX\Include\ECmdTarget.h"
//#include "ECX\Include\EWinApp.h"
//#include "ECX\Include\EWnd.h"
//#include "ECX\Include\EDialog.h"
//#include "ECX\Include\EFile.h"
//#include "ECX\Include\EMenu.h"
//#include "ECX\Include\EView.h"


/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
//#include "ECX\Include\_GDI.h"
//#include "ECX\Include\_DCx.h"


/////////////////////////////////////////////////////////////////////////////
//  
/////////////////////////////////////////////////////////////////////////////
//#include "ECX\Ctrl\_ExcCtrl.h"
//#include "ECX\Ctrl\ERichEditCtrl.h"
//#include "ECX\Ctrl\ECaptionCtrl.h"
//#include "ECX\Ctrl\ECommonDialog.h"
//#include "ECX\Ctrl\EVirtCtrl.h"


/////////////////////////////////////////////////////////////////////////////
// CRT
/////////////////////////////////////////////////////////////////////////////
#include "CRT\__Stack.h"


/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
//#include "ECX\Include\EDumpContext.h"







/////////////////////////////////////////////////////////////////////////////
#endif // __ECXSTATIC_H_MAIN_INCLUDE_FILE__
