// DynamicLinkLibrariesFunc.h : header file
//

#ifndef __DYNAMICLINKLIBRARIESFUNC_H__
#define __DYNAMICLINKLIBRARIESFUNC_H__
#pragma once
////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  DynamicLinkLibrariesFunc.h
/////////////////////////////////////////////////////////////////////////////
#define VERSION_DYNAMICLINKLIBRARIESFUNC   "26.04.2012"



////////////////////////////////////////////////////////////////////////////
//        _EcxGetModuleName
////////////////////////////////////////////////////////////////////////////
#define MODULE_FULL		0
#define MODULE_PATH		1
#define MODULE_NAME		2


////////////////////////////////////////////////////////////////////////////
//     
////////////////////////////////////////////////////////////////////////////
inline DWORD _EcxGetModuleName(char* dest, int nNameType)
{
	char* tmp = new char[MAX_PATH];
	tmp[0] = '\0';

	// Function retrieves the full path and filename for the executable file containing the specified module
	::GetModuleFileName(NULL, tmp, MAX_PATH);

	//     
	int pos = strlen(tmp);
	while(*(tmp + pos) != '\\') pos--;

	//     
	switch(nNameType)
	{
		//     
		case MODULE_FULL:
			break;

		//  
		case MODULE_PATH:
			tmp[pos] = '\0';
			break;

		//  
		case MODULE_NAME:
		{
			pos++;
			int len = strlen(tmp) - pos;
			memmove(tmp, tmp + pos, len);
			tmp[len] = '\0';
			break;
		}

		default:
			tmp[0] = '\0';
			break;
	}

	DWORD dwLength = strlen(tmp);
	if(dest != NULL) strcpy(dest, tmp);
	delete [] tmp;

	return dwLength;
}




////////////////////////////////////////////////////////////////////////////
#endif // __DYNAMICLINKLIBRARIESFUNC_H__
