// FileInputOutput.h : header file
//

#ifndef __FILEINPUTOUTPUT_H__
#define __FILEINPUTOUTPUT_H__
#pragma once
////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  FileInputOutput.h
/////////////////////////////////////////////////////////////////////////////
#define VERSION_FILEINPUTOUTPUT   "28.12.2012"



////////////////////////////////////////////////////////////////////////////
//  nPresentFlag  _EcxIsDirectoryNotEmpty
////////////////////////////////////////////////////////////////////////////
#define PRESENT_FILE	0x00000001
#define PRESENT_DIR		0x00000002
#define PRESENT_ANY		PRESENT_DIR | PRESENT_FILE


////////////////////////////////////////////////////////////////////////////
// 
////////////////////////////////////////////////////////////////////////////
typedef struct _PathElements  // pes
{
	char szDrive[_MAX_DRIVE];
	char szDir[_MAX_DIR];
	char szFile[_MAX_FNAME];
	char szExt[_MAX_EXT];

	_PathElements()
	{
		szDrive[0] = '\0';
		szDir[0] = '\0';
		szFile[0] = '\0';
		szExt[0] = '\0';
	}

} PATHELEMENTS;


typedef struct _FastReadWriteFileData  // frwd
{
	DWORD dwFileSize;
	DWORD dwReads;
	DWORD dwRead;
	DWORD dwBlockLength;
	DWORD dwBlock;

} FASTREADWRITEFILEDATA;


typedef void (WINAPI *LPFASTREADWRITEFILECALLBACK) (FASTREADWRITEFILEDATA* pfrwd, void** ppData);









////////////////////////////////////////////////////////////////////////////
#endif // __FILEINPUTOUTPUT_H__
