// mfc_EMemoryBitmap.h : header file
//

#ifndef __MFC_EMEMORYBITMAP_H__
#define __MFC_EMEMORYBITMAP_H__
#pragma once


///////////////////////////////////////////////////////// EMemoryBitmapMFC //
//   EMemoryBitmapMFC : mb
/////////////////////////////////////////////////////////////////////////////

class EMemoryBitmapMFC : public CDC
{
public:

	EMemoryBitmapMFC(CDC* pDC, int cx, int cy)
	{
		m_pDC = pDC;
		m_cx = cx; m_cy = cy;
		CreateCompatibleDC(pDC);
		m_Bmp.CreateCompatibleBitmap(pDC, cx, cy);
		m_pBmpOld = SelectObject(&m_Bmp);
	}

	~EMemoryBitmapMFC()
	{
		SelectObject(m_pBmpOld);
	}

	void DrawBitmap(int x, int y)
	{
		m_pDC->BitBlt(x, y, m_cx, m_cy, this, 0, 0, SRCCOPY);
	}

	CBitmap m_Bmp;

private:

	CDC* m_pDC;
	CBitmap* m_pBmpOld;
	int m_cx, m_cy;
};


/////////////////////////////////////////////////////////////////////////////
#endif // __EMEMORYBITMAP_H__