// PaintingDrawingFunc.h : header file
//

#ifndef __PAINTINGDRAWINGFUNC_H__
#define __PAINTINGDRAWINGFUNC_H__
#pragma once
////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  PaintingDrawingFunc.h
/////////////////////////////////////////////////////////////////////////////
#define VERSION_PAINTINGDRAWINGFUNC   "19.07.2012"



/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
inline void _EcxDrawArrow(HDC hDC, int x, int y, int a, int h, COLORREF cr, int nDirect, int nType)
{
	_EcxFastColorRect(hDC, x, y, 2 * a + 1, h, RGB(255,0,0));
	_EcxFastColorRect(hDC, x + 1, y + 1, 2 * a - 1, h - 2, RGB(255,255,255));

	_EcxFastColorRect(hDC, x - 2, y + h - 1, 1, 1, 255);
	_EcxFastColorRect(hDC, x - 4, y + h - 1, 1, 1, 255);
	_EcxFastColorRect(hDC, x - 6, y + h - 1, 1, 1, 255);

	_EcxFastColorRect(hDC, x + 2 * a + 2, y + h - 1, 1, 1, 255);
	_EcxFastColorRect(hDC, x + 2 * a + 4, y + h - 1, 1, 1, 255);
	_EcxFastColorRect(hDC, x + 2 * a + 6, y + h - 1, 1, 1, 255);


	switch(nType)
	{
		case 0:
		{
			HPEN hPen = ::CreatePen(PS_SOLID, 1, cr);
			HPEN hOldPen = (HPEN)::SelectObject(hDC, hPen);

//			::MoveToEx(hDC, x, y + ((nDirect) ? h - a - 1 : a), NULL);
//			::LineTo(hDC, x + a, y + ((nDirect) ? h - 1 : 0));
//			::LineTo(hDC, x + 2 * a + 1, y + ((nDirect) ? h - a - 2 : a + 1));
//			::MoveToEx(hDC, x + a, y, NULL);
//			::LineTo(hDC, x + a, y + h);

			::SelectObject(hDC, hOldPen);
			::DeleteObject(hPen);
		}
	}
}

/*
/////////////////////////////////////////////////////////////////////////////
//    AR   2*AH
// : (x01,y01) - ; (x02,y02) - 
/////////////////////////////////////////////////////////////////////////////
void EGraph::_draw_arrow(HDC hDC, COLORREF clr, bool mode, double x01, double y01, double x02, double y02)
{
	long x0, y0, x1, y1, x2, y2, x3, y3;
	double L, dx, dy, k;

	//   ;  dx, dy
	L = sqrt((x01-x02)*(x01-x02)+(y01-y02)*(y01-y02));
	dx = (x01-x02)/L;
	dy = (y01-y02)/L;

	//  mode: true -    ; false -   
	if(mode) { x0 = x02; y0 = y02; k =  1.0; }
	else     { x0 = x01; y0 = y01; k = -1.0; }

	//   ,  
	x1 = x0 + k*AR*dx - AH*dy;
	y1 = y0 + k*AR*dy + AH*dx;
	x3 = x0 + k*AR*dx + AH*dy;
	y3 = y0 + k*AR*dy - AH*dx;
	x2 = x0 + k*AR*dx*0.5;
	y2 = y0 + k*AR*dy*0.5;

	POINT point[4] = { {x0,y0}, {x1,y1}, {x2,y2}, {x3,y3} };

	//   
	HPEN hPen = ::CreatePen(PS_SOLID, 1, clr);
	HPEN hPenOld = (HPEN)::SelectObject(hDC, hPen);
	HBRUSH hBr = ::CreateSolidBrush(clr);
	HBRUSH hBrOld = (HBRUSH)::SelectObject(hDC, hBr);

	//   
	::Polygon(hDC, point, 4);
	::MoveToEx(hDC, x0, y0, NULL);
	::LineTo(hDC, x1, y1);
	::LineTo(hDC, x2, y2);
	::LineTo(hDC, x3, y3);
	::LineTo(hDC, x0, y0);

	//   
	::SelectObject(hDC, hPenOld);
	::SelectObject(hDC, hBrOld);
	::DeleteObject(hPen);
	::DeleteObject(hBr);
}
*/






////////////////////////////////////////////////////////////////////////////
#endif // __PAINTINGDRAWINGFUNC_H__