// InterprocessCommunicationsFunc.h : header file
//

#ifndef __INTERPROCESSCOMMUNICATIONSFUNC_H__
#define __INTERPROCESSCOMMUNICATIONSFUNC_H__
#pragma once
////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  InterprocessCommunicationsFunc.h
/////////////////////////////////////////////////////////////////////////////
#define VERSION_INTERPROCESSCOMMUNICATIONSFUNC   "17.01.2011"



/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
inline BOOL _EcxCopyData(HWND hWnd, DWORD dwData, HWND hRxWnd, LPCVOID lpData, DWORD cbData)
{
	if(::IsWindow(hWnd))
	{
		COPYDATASTRUCT cds;
		::ZeroMemory(&cds, sizeof(COPYDATASTRUCT));
		cds.dwData = dwData;
		cds.lpData = (LPVOID)lpData;
		cds.cbData = cbData;
		return ::SendMessage(hWnd, WM_COPYDATA, (WPARAM)hRxWnd, (LPARAM)&cds);
	}
	return FALSE;
}



////////////////////////////////////////////////////////////////////////////
#endif // __INTERPROCESSCOMMUNICATIONSFUNC_H__
