// StringManipulationMacro.h : header file
//

#ifndef __STRINGMANIPULATIONMACRO_H__
#define __STRINGMANIPULATIONMACRO_H__
#pragma once
////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//  StringManipulationMacro.h
/////////////////////////////////////////////////////////////////////////////
#define VERSION_STRINGMANIPULATIONMACRO   "06.01.2017"



////////////////////////////////////////////////////////////////////////////
//  
////////////////////////////////////////////////////////////////////////////
#define __strtod(buf)		strtod((char*)buf, (char**)&buf)
#define __strtol(buf)		strtol(buf, &buf, 10)
#define __strtoul(buf)		strtoul(buf, &buf, 10)
#define __hextoul(buf)		strtoul(buf, &buf, 16)


////////////////////////////////////////////////////////////////////////////
//  HEX, BIN, OCT  DWORD
////////////////////////////////////////////////////////////////////////////

// hex = 0x0 ... 0xFFFFFFFF (digit max = 8)
// bin = 0b0 ... 0b11111111111111111111111111111111 (digit max = 32)
// oct = 0c0 ... 0c37777777777 (digit max = 11)

#define __htoul(buf)	strtoul(buf, &buf, 16);
#define __btoul(buf)	strtoul(buf, &buf, 2);
#define __otoul(buf)	strtoul(buf, &buf, 8);


////////////////////////////////////////////////////////////////////////////
//
////////////////////////////////////////////////////////////////////////////
#define _EcxBoolToStr(val)		( ((val) == 0) ? "FALSE" : "TRUE" )
#define _EcxBoolToStrSmall(val)	( ((val) == 0) ? "false" : "true" )
#define _EcxBoolToYesNo(val)	( ((val) == 0) ? "NO" : "YES" )





////////////////////////////////////////////////////////////////////////////
#endif // __STRINGMANIPULATIONMACRO_H__


