// ECX_WINDOWPLACEMENT.h : header file
//

#ifndef __EWINDOWPLACEMENT_H__
#define __EWINDOWPLACEMENT_H__
#pragma once


// mk:@MSITStore:C:\Program%20Files\Microsoft%20Visual%20Studio\MSDN98\98VS\1033\winui.chm::/devdoc/live/pdui/windows_9lki.htm

/*
/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
struct ECX_WINDOWPLACEMENT : public WINDOWPLACEMENT  // wp
{
	ECX_WINDOWPLACEMENT();
	~ECX_WINDOWPLACEMENT();
	
	// Read/Write to app profile
	void ReadProfile(LPCSTR lpKeyName);
	void WriteProfile(LPCSTR lpKeyName);

	// Load/Save window pos (from app profile)
	BOOL Load(LPCSTR lpKeyName, CWnd* pWnd);
	void Save(LPCSTR lpKeyName, CWnd* pWnd);

	// Load/Save from archive
	friend CArchive& operator<<(CArchive& ar, const ECX_WINDOWPLACEMENT& wp);
	friend CArchive& operator>>(CArchive& ar, ECX_WINDOWPLACEMENT& wp);
};


/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
inline ECX_WINDOWPLACEMENT::ECX_WINDOWPLACEMENT()
{
	memset(this, 0, sizeof(WINDOWPLACEMENT));
	length = sizeof(WINDOWPLACEMENT);
}


/////////////////////////////////////////////////////////////////////////////
// 
/////////////////////////////////////////////////////////////////////////////
inline ECX_WINDOWPLACEMENT::~ECX_WINDOWPLACEMENT()
{
}


/////////////////////////////////////////////////////////////////////////////
// Load window placement from profile key
/////////////////////////////////////////////////////////////////////////////
inline BOOL ECX_WINDOWPLACEMENT::Load(LPCSTR lpKeyName, CWnd* pWnd)
{
    ReadProfile(lpKeyName);

    // Only restore if window intersets the screen.
    //
    CRect rcTemp, rcScreen(0, 0, ::GetSystemMetrics(SM_CXSCREEN), ::GetSystemMetrics(SM_CYSCREEN));
    if(!::IntersectRect(&rcTemp, &rcNormalPosition, &rcScreen)) return FALSE;
 
	pWnd->SetWindowPlacement(this);	// set placement
    return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// Read window placement from profile.
/////////////////////////////////////////////////////////////////////////////
inline void ECX_WINDOWPLACEMENT::ReadProfile(LPCSTR lpKeyName)
{
    CWinApp* pApp = AfxGetApp();

    showCmd = pApp->GetProfileInt(lpKeyName, "m_wp.showCmd", showCmd);
    flags   = pApp->GetProfileInt(lpKeyName, "m_wp.flags", flags);

    ptMinPosition.x = pApp->GetProfileInt(lpKeyName, "m_wp.ptMinPosition.x", ptMinPosition.x);
    ptMinPosition.y = pApp->GetProfileInt(lpKeyName, "m_wp.ptMinPosition.y", ptMinPosition.y);
    ptMaxPosition.x = pApp->GetProfileInt(lpKeyName, "m_wp.ptMaxPosition.x", ptMaxPosition.x);
    ptMaxPosition.y = pApp->GetProfileInt(lpKeyName, "m_wp.ptMaxPosition.y", ptMaxPosition.y);

    RECT& rc = rcNormalPosition;	// because I hate typing
    rc.left	= pApp->GetProfileInt(lpKeyName, "m_wp.left", rc.left);
    rc.right = pApp->GetProfileInt(lpKeyName, "m_wp.right", rc.right);
    rc.top	= pApp->GetProfileInt(lpKeyName, "m_wp.top", rc.top);
    rc.bottom= pApp->GetProfileInt(lpKeyName, "m_wp.bottom", rc.bottom);
}


/////////////////////////////////////////////////////////////////////////////
// Save window placement in app profile
/////////////////////////////////////////////////////////////////////////////
inline void ECX_WINDOWPLACEMENT::Save(LPCSTR lpKeyName, CWnd* pWnd)
{
    pWnd->GetWindowPlacement(this);
    WriteProfile(lpKeyName);
}


/////////////////////////////////////////////////////////////////////////////
// Write window placement to app profile
/////////////////////////////////////////////////////////////////////////////
inline void ECX_WINDOWPLACEMENT::WriteProfile(LPCSTR lpKeyName)
{
    CWinApp* pApp = AfxGetApp();

    pApp->WriteProfileInt(lpKeyName, "m_wp.showCmd", showCmd);
    pApp->WriteProfileInt(lpKeyName, "m_wp.flags", flags);
    pApp->WriteProfileInt(lpKeyName, "m_wp.ptMinPosition.x", ptMinPosition.x);
    pApp->WriteProfileInt(lpKeyName, "m_wp.ptMinPosition.y", ptMinPosition.y);
    pApp->WriteProfileInt(lpKeyName, "m_wp.ptMaxPosition.x", ptMaxPosition.x);
    pApp->WriteProfileInt(lpKeyName, "m_wp.ptMaxPosition.y", ptMaxPosition.y);
    pApp->WriteProfileInt(lpKeyName, "m_wp.left",	rcNormalPosition.left);
    pApp->WriteProfileInt(lpKeyName, "m_wp.right", rcNormalPosition.right);
    pApp->WriteProfileInt(lpKeyName, "m_wp.top", rcNormalPosition.top);
    pApp->WriteProfileInt(lpKeyName, "m_wp.bottom",rcNormalPosition.bottom);
}


/////////////////////////////////////////////////////////////////////////////
// Write window placement to archive
/////////////////////////////////////////////////////////////////////////////
inline CArchive& operator<<(CArchive& ar, const ECX_WINDOWPLACEMENT& wp)
{
    ar << wp.length;
    ar << wp.flags;
    ar << wp.showCmd;
    ar << wp.ptMinPosition;
    ar << wp.ptMaxPosition;
    ar << wp.rcNormalPosition;
    return ar;
}


/////////////////////////////////////////////////////////////////////////////
// Read window placement from archive
/////////////////////////////////////////////////////////////////////////////
inline CArchive& operator>>(CArchive& ar, ECX_WINDOWPLACEMENT& wp)
{
    ar >> wp.length;
    ar >> wp.flags;
    ar >> wp.showCmd;
    ar >> wp.ptMinPosition;
    ar >> wp.ptMaxPosition;
    ar >> wp.rcNormalPosition;
    return ar;
}
*/


/////////////////////////////////////////////////////////////////////////////
#endif // __EWINDOWPLACEMENT_H__